Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.cpu
Class Instruction_AAM_Ib

    java.lang.Object
      dioscuri.module.cpu.Instruction_AAM_Ib

All Implemented Interfaces:
  Instruction

    public class Instruction_AAM_Ib

extends java.lang.Object
implements Instruction

Intel opcode D4
ASCII adjust AX after multiply.
Adjust multiplication result of two unpacked BCD values to create a pair of unpacked (base 10) BCD values.
Flags modified: SF, ZF, PF; OF, AF, CF are undefined

Constructor Summary
`Instruction_AAM_Ib()` Class constructor
`Instruction_AAM_Ib(CPU processor)` Class constructor specifying processor reference

Method Summary
`void` | `execute()` Adjust multiplication result of two unpacked BCD values to create a pair of unpacked (base 10) BCD values. Set AX(AH:AL) register to AL/imm8 (AH), and AL%imm8 (AL), respectively. The base is defined by imm8; for example, 08H for octal, 0AH for decimal, or 0CH for base 12.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Instruction_AAM_Ib

    public Instruction_AAM_Ib()

  Class constructor

### Instruction_AAM_Ib

    public Instruction_AAM_Ib(CPU processor)

  Class constructor specifying processor reference

  Parameters:
    `processor` - Reference to CPU class

Method Detail

### execute

    public void execute()

  Adjust multiplication result of two unpacked BCD values to create a pair of unpacked (base 10) BCD values.
  Set AX(AH:AL) register to AL/imm8 (AH), and AL%imm8 (AL), respectively.
  The base is defined by imm8; for example, 08H for octal, 0AH for decimal, or 0CH for base 12.

  Specified by:
    `execute` in interface `Instruction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD